summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0200-remove-udev-persistent-cd-rules.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/normal/0200-remove-udev-persistent-cd-rules.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0200-remove-udev-persistent-cd-rules.hook.chroot13
1 files changed, 13 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0200-remove-udev-persistent-cd-rules.hook.chroot b/system-build/share/hooks/normal/0200-remove-udev-persistent-cd-rules.hook.chroot
new file mode 100755
index 0000000..bdfe52d
--- /dev/null
+++ b/system-build/share/hooks/normal/0200-remove-udev-persistent-cd-rules.hook.chroot
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# Remove udev persistent rules.
+#
+# This removes udev persistent rules that cache the host systems cd drive as
+# well as the running live systems cd drive to remember its device name.
+
+if [ -e /etc/udev/rules.d ]
+then
+ > /etc/udev/rules.d/70-persistent-cd.rules
+fi